Page MenuHomePhabricator

decom caesium
Closed, ResolvedPublic

Description

caesium is not used anymore, releases.wm.org has moved.

decom the system

Event Timeline

Dzahn created this task.Jan 28 2016, 11:34 PM
Dzahn claimed this task.
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: Operations.
Dzahn added subscribers: Krenair, Ricordisamoa, hashar and 4 others.

Change 267188 had a related patch set uploaded (by Dzahn):
decom: remove caesium from site.pp

https://gerrit.wikimedia.org/r/267188

Change 267188 merged by Dzahn:
decom: remove caesium from site.pp

https://gerrit.wikimedia.org/r/267188

server has been shutdown, removed from icinga, puppet cert has been cleaned, salt key revoked,

but there are more remnants to remove in the repo

Dzahn reassigned this task from Dzahn to Papaul.Jan 28 2016, 11:57 PM

Change 267333 had a related patch set uploaded (by Dzahn):
delete rsync_caesium class, not needed anymore

https://gerrit.wikimedia.org/r/267333

Change 267334 had a related patch set uploaded (by Dzahn):
varnish/misc-web: remove caesium backend, decom'ed

https://gerrit.wikimedia.org/r/267334

Change 267333 merged by Dzahn:
delete rsync_caesium class, not needed anymore

https://gerrit.wikimedia.org/r/267333

Change 267377 had a related patch set uploaded (by Dzahn):
admin: rm reprepro from exceptions in enforce-users-groups.sh

https://gerrit.wikimedia.org/r/267377

Change 267334 merged by Dzahn:
varnish/misc-web: remove caesium backend, decom'ed

https://gerrit.wikimedia.org/r/267334

@Papaul see my changes above. Could you follow-up with the DNS removal and then move the ticket to ops-eqiad or make a new ticket for the final decom steps (wipe disk, remove from rack etc)? thanks

Change 267377 merged by Dzahn:
admin: replace caesium with bromine in enforce-users-groups.sh

https://gerrit.wikimedia.org/r/267377

hashar removed a subscriber: hashar.Feb 1 2016, 1:21 PM
Dzahn triaged this task as Normal priority.Feb 3 2016, 10:38 PM
Dzahn added a project: ops-eqiad.
Dzahn set Security to None.
Dzahn added a comment.Feb 3 2016, 10:41 PM

is gone from DNS now https://gerrit.wikimedia.org/r/#/c/268149/

please follow-up with disk wiping / hardware decom or reclaim

Papaul reassigned this task from Papaul to Cmjohnson.Feb 16 2016, 3:42 PM
Papaul added a subscriber: Papaul.

This server is in Eqiad so assigning the ticket to Chris

disks are wiping, disable network port, removed from private1 vlan

updated tracking sheet

Cmjohnson lowered the priority of this task from Normal to Low.Feb 17 2016, 6:10 PM
Dzahn added a comment.Apr 11 2016, 5:58 PM

@Cmjohnson what's missing to close this one?

Cmjohnson closed this task as Resolved.Apr 12 2016, 6:25 PM

added to spares page and remains in rack for potential use...will need more approval to decom for good.